import matplotlib.pyplot as plt
import csv

def get_label_counts(col):
    data = list(csv.reader(open('billionaires.csv')))
    result = {}
    for i in data:
        if i[col] not in result:
            result[i[col]] = 0
        result[i[col]] += 1
    return result
        
def get_pie_labels_and_counts(label_counts):
    labels = []
    counts = []
    for k, v in label_counts.items():
        labels.append(k)
        counts.append(v)
    return (labels, counts)

industries = get_label_counts(10)
il, ic = get_pie_labels_and_counts(industries)
citi = get_label_counts(2)
cl, cc = get_pie_labels_and_counts(citi)
region = get_label_counts(14)
rl, rc = get_pie_labels_and_counts(region)

fig = plt.figure()

sp1 = fig.add_subplot(1, 5, 1)
sp1.pie(ic, labels=il)
sp1.set_title('Billionaire\'s Industries')

sp2 = fig.add_subplot(1, 5, 3)
sp2.pie(cc, labels=cl)
sp2.set_title('Billionaire\'s Citienship')

sp3 = fig.add_subplot(1, 5, 5)
sp3.pie(rc, labels=rl)
sp3.set_title('Billionaire\'s Region')

plt.show()